.. AUTO-GENERATED FILE. DO NOT EDIT. /one-mobile-applications-patch-one ================================== Summary ------- - **Source repository:** ``jef-systems/jef-one-backend`` - **Source SHA:** ``3270463a2e6a5d905ceae779f9a588fdde3cef87`` - **Source run id:** ``25887982658`` - **Lambda function:** ``jef-one-mobile-applications-patch-one`` - **HTTP method:** ``PATCH`` - **API path:** ``/one-mobile-applications-patch-one`` - **Endpoint URL:** ``https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-patch-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-one-mobile-applications-patch-one - ``Module``: jef-one - ``Action``: patch-one - ``Method``: PATCH - ``Invocation Mode``: ASYNC - ``Resource Path``: /one-mobile-applications-patch-one - ``Table``: jef-one-mobile-applications - ``Primary Key``: mobile\_application\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``mobile\_application\_id``: 16b06bf7-7f70-454d-8947-ab94fdb81ada - ``mobile\_application\_name``: Jef One Mobile Applications - Sales App Payload Schema -------------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.mobile_application_id.type": "S", "root.attributes.mobile_application_id.required": "True", "root.attributes.mobile_application_id.format": "uuidv4", "root.attributes.mobile_application_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "root.attributes.mobile_application_name.type": "S", "root.attributes.mobile_application_name.required": "False", "root.attributes.mobile_application_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$" } Response Schema --------------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.is_accepted.type": "BOOL", "root.attributes.is_accepted.required": "True", "root.attributes.message.type": "S", "root.attributes.message.required": "True", "root.attributes.request_id.type": "S", "root.attributes.request_id.required": "False" } Request Payload --------------- .. code-block:: json { "mobile_application_id": "16b06bf7-7f70-454d-8947-ab94fdb81ada", "mobile_application_name": "Jef One Mobile Applications - Sales App" } Response -------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.is_accepted.type": "BOOL", "root.attributes.is_accepted.required": "True", "root.attributes.message.type": "S", "root.attributes.message.required": "True", "root.attributes.request_id.type": "S", "root.attributes.request_id.required": "False" } CMD curl -------- .. code-block:: bat curl -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-patch-one" -H "Content-Type: application/json" --data-raw "{\"mobile_application_id\": \"16b06bf7-7f70-454d-8947-ab94fdb81ada\", \"mobile_application_name\": \"Jef One Mobile Applications - Sales App\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-mobile-applications-patch-one" -H "Content-Type: application/json" --data-raw '{"mobile_application_id": "16b06bf7-7f70-454d-8947-ab94fdb81ada", "mobile_application_name": "Jef One Mobile Applications - Sales App"}'